import React, { useState, useEffect, useRef } from 'react';
import { Button, Popconfirm, Modal, Form, Input, message, Descriptions } from 'antd';
import { PageHeaderWrapper } from '@ant-design/pro-layout';
import PageTable from '@/components/PageTable';

export default (props) => {
  const formItemLayout = { labelCol: { span: 6 }, wrapperCol: { span: 14 } };
  const [form] = Form.useForm();
  const [editModal, setEditModal] = useState(false);
  const [loading, setLoading] = useState(false);
  const [regionId, setRegionId] = useState();
  const actionRef = useRef();

  const exports = () => [
    <Button key="add" type="primary">
      导出
    </Button>,
  ];

  const columns = [
    {
      title: '合作社名称',
      dataIndex: 'name',
      key: 'name',
    },
    {
      title: '设备编号',
      dataIndex: 'createDate',
      key: 'createDate',
      width: 340,
    },
    {
      title: '设备类型',
      dataIndex: 'status',
      key: 'status',
    },
    {
      title: '作业面积(亩)',
      dataIndex: 'status',
      key: 'status',
      search: false,
    },
    {
      title: '作业时间',
      dataIndex: 'status',
      key: 'status',
      search: false,
    },
    {
      title: '绑定农机',
      dataIndex: 'status',
      key: 'status',
      search: false,
    },
    {
      title: '时间选择',
      dataIndex: 'created_at',
      valueType: 'dateRange',
      hideInTable: true,
      search: {
        transform: (value) => {
          return {
            startTime: value[0],
            endTime: value[1],
          };
        },
      },
    },
  ];

  return (
    <PageHeaderWrapper
      content={
        <Descriptions>
          <Descriptions.Item label='总作业面积:'>亩</Descriptions.Item>
        </Descriptions>
      }
    >
      <PageTable
        columns={columns}
        actionRef={actionRef}
        options={false}
        toolBarRender={exports}
        // toolBarRender={actions}
        scroll={{ x: 1000 }}
      />
    </PageHeaderWrapper>
  );
};
