import React, { useEffect, useMemo, useState } from 'react';
import deepCopy from '@/utils/deepCopy';
import { colorArr } from '@/components/ScreenBox/utils';
import BasicChart from './BasicChart';

const defaultOpt = {
  // tooltip: {
  //   trigger: 'item',
  //   formatter: '{b} : {c} ({d}%)',
  // },
  color: colorArr,
  legend: {
    orient: 'vertical',
    left: 'right',
    bottom: '5%',
    textStyle: { color: '#fff' },
  },
  toolbox: {},
  series: [
    {
      type: 'pie',
      radius: ['40%', '55%'],
      center: ['40%', '50%'],
      selectedMode: 'single',
      avoidLabelOverlap: false,
      label: {
        color: '#fff',
        formatter: '{b} \n{d}%',
      },
      // labelLine: {
      //   length: 10,
      //   length2: 36,
      // },
    },
  ],
};

export default (props) => {
  const option2 = useMemo(() => deepCopy(defaultOpt), []);

  const [option, setOption] = useState(option2);

  useEffect(() => {
    var option3 = { ...option2 };
    option3.series[0].data = props.source;
    // 设置第一个是选中状态
    (option3.series[0].data[0] || {}).selected = true;
    setOption(option3);
  }, [props.source]);

  return <BasicChart title="农机作业量面积统计" option={option} />;
};
