import React from 'react';
import loader from '@/components/AMap/loader';
import geoData from './geoData';

const dzData = geoData.features[0].geometry.coordinates[0][0];

const plugins = ['AMap.ToolBar'];
export default (props) => {
  const { style, className } = props;
  const containerRef = React.useRef();
  const mapRef = React.useRef();
  const mapInstRef = React.useRef();

  React.useEffect(() => {
    loader(plugins)
      .then((AMap) => {
        const mapInst = new AMap.Map(containerRef.current, {
          mapStyle: 'amap://styles/light',
          layers: [
            // 卫星
            new AMap.TileLayer.Satellite(),
            // 路网
            // new AMap.TileLayer.RoadNet(),
          ],
          zoom: 10,
          resizeEnable: true,
          center: [112.092716, 32.681642],
        });

        // 缩放按钮
        mapInst.addControl(new AMap.ToolBar());

        // 绘制边线
        const dengzhou = new AMap.Polygon({
          path: dzData,
          fillColor: '#ccebc5',
          strokeOpacity: 1,
          fillOpacity: 0,
          strokeColor: '#ff0000', // '#2b8cbe',
          strokeWeight: 2,
          strokeStyle: 'dashed',
          strokeDasharray: [5, 5],
        });
        mapInst.add(dengzhou);

        //
        mapRef.current = AMap;
        mapInstRef.current = mapInst;
      })
      .catch((err) => {
        console.log(err.message);
      });
  }, []);

  return <div style={style} className={className} ref={containerRef}></div>;
};
