import { PageHeaderWrapper } from '@ant-design/pro-layout';
import PageTable from '@/components/PageTable';
import { getWorkMassageList } from '@/services/workMessage'

export default (props) => {
  const columns = [
    {
      title: '订单号',
      key: 'orderNo',
      dataIndex: 'orderNo',
    },
    {
      title: '消息',
      key: 'messageType',
      dataIndex: 'messageType',
      search: false,
      render: (t, record) => {
        console.log(t);
        if (t === 'appoint') {
          return record.appointTime + ' ' + record.appointPerson + ' 预约了一台' + record.appointMachineryType + '。'
        }
        else {
          return record.acceptTime + ' ' + record.acceptPerson + ' 接到了一个订单。'
        }
      },
    }
  ];

  return (
    <PageHeaderWrapper>
      <PageTable
        request={getWorkMassageList}
        columns={columns}
        rowKey="messageId"
        options={false}
      />
    </PageHeaderWrapper>
  );
};
