import request from '@/utils/request';

/**
 * 基本数据统计
 * @param {*} params
 * @returns
 */
export const getBasic = (params) => request('/screen-data/basic', { params });

/**
 * 所有合作社
 * @param {*} params
 * @returns
 */
export const getOrgDetail = (params) => request('/screen-data/org', { params });

/**
 *  农机类型列表
 * @param {*} params
 * @returns
 */
export const getTypeList = (params) => request('/screen-data/machinery-type', { params });

/**
 *  农机作业面积统计
 * @param {*} params
 * @returns
 */
export const getAreaDetail = (params) => request('/screen-data/machinery-type/area', { params });

/**
 *  农机类型统计（左上角柱状图）
 * @param {*} params
 * @returns
 */
export const getMachineryBar = (params) =>
  request('/screen-data/machinery-type/machinery', { params });

/**
 *  农机作业数统计
 * @param {*} params
 * @returns
 */
export const getWorkNumPie = (params) =>
  request('/screen-data/machinery-type/work-job', { params });

/**
 *  依据类型查询农机
 * @param {*} params
 * @returns
 */
export const getTypeBasic = (params) => request('/screen-data/machinery/all', { params });

/**
 *  获取消息通知列表
 * @param {*} params
 * @returns
 */
export const getMessageList = (params) => request('/screen-data/message', { params });
